"use strict";

const pipe = require("@promistream/pipe");
const map = require("@promistream/map");
const buffer = require("@promistream/buffer");

module.exports = function createBufferedMapStream(mapCallback) {
	return pipe([
		map(mapCallback),
		buffer()
	]);
};
